Subject: Re: [PATCH v2 0/3] pinctrl: sunxi: a523: fix GPIO IRQ operation

From: Andre Przywara <[email-masked]>
Date: Thu, 4 Jun 2026 12:54:14 +0200

On Fri, 27 Mar 2026 11:30:03 +0000
Andre Przywara <[email-masked]> wrote:

Hi,

> this is the minimal fix version for the GPIO IRQ operation on the
> Allwinner A523/A527/T527 SoCs. SD card detection is broken as a result,
> which is a major annoyance. Those patches here fix that problem, and
> should go into v7.0 still, if possible.

what is the status of this series, please? We missed v7.0 back then, but
please can we take this now, for v7.1? There are review tags for every
patch, and this fixes SD card operation on all A523/A527/T572 boards.
The series still applies cleanly on current master, if I should resend
anyway, please let me know.

Cheers,
Andre

> I dropped the more involved fixes from v1, the risk for regressions is
> now very low:
> - The quirk flag is just dropped from the A523, not the other SoCs. I
>   confirmed this again with an experiment, for both the primary and
>   secondary pincontroller. This avoids fixing the workaround code for
>   now, which is more involved, but for now unneeded.
> - The DT patch just adds the missing interrupt. The IRQ association was
>   always wrong and never worked, so this can't make it possibly worse.
> Together those two patches (plus the required binding change) fix the
> problem, I would appreciate if this could be taken ASAP, into v7.0 still.
> The generic pinctrl code is now untouched, which makes this also much
> easier to backport, and drops the dependencies on other v7.0-rc fixes.
> 
> Bases on v7.0-rc1, but applies on later revisions as well.
> 
> Please have a look and test, especially on A523/A527/T527 boards!
> 
> Changelog v1 .. v2:
> - drop generic pinctrl fixes (for now)
> - drop quirk removal from other SoCs (for now)
> - add Chen-Yu's tag
> 
> Cheers,
> Andre
> 
> Andre Przywara (3):
>   pinctrl: sunxi: a523: Remove unneeded IRQ remuxing flag
>   dt-bindings: pinctrl: sun55i-a523: increase IRQ banks number
>   arm64: dts: allwinner: a523: Add missing GPIO interrupt
> 
>  .../bindings/pinctrl/allwinner,sun55i-a523-pinctrl.yaml   | 8 ++++----
>  arch/arm64/boot/dts/allwinner/sun55i-a523.dtsi            | 3 ++-
>  drivers/pinctrl/sunxi/pinctrl-sun55i-a523-r.c             | 1 -
>  drivers/pinctrl/sunxi/pinctrl-sun55i-a523.c               | 1 -
>  4 files changed, 6 insertions(+), 7 deletions(-)
> 
> base-commit: 6de23f81a5e08be8fbf5e8d7e9febc72a5b5f27f